/******************************************
* config.h - Hard coded configuration info
*
* CVS $Id: config.h,v 1.2 2000/09/14 00:58:05 wcampbel Exp $
******************************************/

#ifndef CONFIG_H
#define CONFIG_H

/* Makefile and -D's were getting too much.  It's 
*  a little more work to set a server up like this
*  but it's vastly more configurable
*/

/* Many of the options from the Makefile are now here */

/* CRYPT stays in Makefile because of the possibility of a */
/* system without libcrypt */

/* Solaris needs special options */
/* Win32 needs special options too */
/* They will PROBABLY remain in Makefile, at least for now */

/* Support fnmatch() - This is used to support masked servers */
/* eg *.fi *.au *.test.net.  This makes it non portable to some */
/* systems, Windows Cygwin included */
/* MOST networks do not need this, so it's disabled by default */
/* With it disabled, introducing a user on a server behind a mask */
/* will cause Stats to exit. */

#undef FNMATCH

/* Large network support - The targeted audience of this package */
/* are small networks (Under 1000 users and 60 servers) */
/* Enabling this option will enlarge the data tables (and increase */
/* memory usage).  This is untested, and therefore may cause problems */
/* I would avoid enabling this until there is further testing */

#undef LARGE_NET

/* You MUST set this or RESTART won't work!!!! */
/* Set this to the path to the stats binary */
#define SPATH "/home/user/Stats/stats"

#endif /* CONFIG_H */
